# uiGetParentNode

Get Parent of a node

## Calling Sequence

    parent = uiGetParentNode(tree, node)

    parent = uiGetParentNode(tree, position)

## Input parameters

tree

  uitree in which we look for parent of a node

node

  the node we look for parent

position

  a string, which is the position of the node we look for parent

## Output parameters

parent

  the parent node

## Description

Finds the parent of a specific node.

## Examples

    // We should create nodes(subTrees) before creating trees
    leaf11 = uiCreateNode('leaf 1.1', 'iconLeaf1.1', 'callbackLeaf1.1')
    leaf12 = uiCreateNode('leaf 1.2', 'iconLeaf1.2', 'callbackLeaf1.2')
    leaf31 = uiCreateNode('leaf 3.1', 'iconLeaf3.1', 'callbackLeaf3.1')
    leaf32 = uiCreateNode('leaf 3.2', 'iconLeaf3.2', 'callbackLeaf3.2')
    node1 = uiCreateNode('Node 1', 'iconNode1', 'callbackNode1')
    node2 = uiCreateNode('Node 2', 'iconNode2', 'callbackNode2')
    node3 = uiCreateNode('Node 3', 'iconNode3', 'callbackNode3')
    root = uiCreateNode('Root', 'iconRoot', 'callbackRoot')

    treeNode1 = uiCreateTree(node1, leaf11, leaf12)
    treeNode3 = uiCreateTree(node3, leaf31, leaf32)
    treeRoot = uiCreateTree(root, treeNode1, node2, treeNode3)

    // Search parent node of 'node1'
    parentNode = uiGetParentNode(treeRoot, node1)
    // will return 'parentNode = root'

    // Search parent node of 'leaf31'
    parentNode = uiGetParentNode(treeRoot, leaf31)
    // will return 'parentNode = node3'

## See Also

- uiCreateNode
- uiCreateTree
- uiDisplayTree
- uiDumpTree
- uiInsertNode
- uiDeleteNode
- uiConcatTree
- uiEqualsTree
- uiFindNode
- uiGetChildrenNode
- uiGetNodePosition